org.apache.hc.client5.http.classic

## Interface ExecChain

    @Contract(threading=STATELESS)
    public interface ExecChain

Represents a single element in the client side classic request execution chain.

Since:
  5.0

### Nested Class Summary

Nested Classes
`static class` `ExecChain.Scope`

### Method Summary

All Methods Instance Methods Abstract Methods
`org.apache.hc.core5.http.ClassicHttpResponse` `proceed(org.apache.hc.core5.http.ClassicHttpRequest request, ExecChain.Scope scope)`

### Method Detail

#### proceed

    org.apache.hc.core5.http.ClassicHttpResponse proceed(org.apache.hc.core5.http.ClassicHttpRequest request,
                                                         ExecChain.Scope scope)
                                                  throws IOException,
                                                         org.apache.hc.core5.http.HttpException

Throws:
  `IOException`
  `org.apache.hc.core5.http.HttpException`